Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2023-03-17 11:02:45

0001 #!/bin/bash
0002 
0003 # Pass in name and status
0004 function die { echo $1: status $2 ;  exit $2; }
0005 
0006 LOCAL_TEST_DIR="${CMSSW_BASE}/src/FWCore/Framework/test"
0007 
0008 F1=${LOCAL_TEST_DIR}/test_tbb_threads_cfg.py
0009 F2="-n 8 ${LOCAL_TEST_DIR}/test_tbb_threads_from_commandline_cfg.py"
0010 F3="--numThreads 8 ${LOCAL_TEST_DIR}/test_tbb_threads_from_commandline_cfg.py"
0011 F4=${LOCAL_TEST_DIR}/test_tbb_default_threads_cfg.py
0012 
0013 (cmsRun $F1 ) || die "Failure using cmsRun $F1" $?
0014 (cmsRun $F2 ) || die "Failure using cmsRun $F2" $?
0015 (cmsRun $F3 ) || die "Failure using cmsRun $F3" $?
0016 (cmsRun $F4 ) || die "Failure using cmsRun $F4" $?
0017